#### Description:

A Winmap is a linear Mapping which transforms a rectangular window in one coordinate system into a similar window in another coordinate system by scaling and shifting each axis (the window edges being parallel to the coordinate axes).

A WinMap is specified by giving the coordinates of two opposite corners (A and B) of the window in both the input and output coordinate systems.

#### Constructor Function

astWinMap

#### Inheritance

The WinMap class inherits from the Mapping class.

#### Attributes

The WinMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

The WinMap class does not define any new functions beyond those which are applicable to all Mappings.
Copyright (C) 2021 East Asian Observatory